# -*-makefile-*-
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_UVCVIDEO_PLAT) += uvcvideo_plat

#
# Paths and names and versions
#
UVCVIDEO_PLAT_VERSION	:= 0.1
UVCVIDEO_PLAT		:= uvcvideo_plat-$(UVCVIDEO_PLAT_VERSION)
UVCVIDEO_PLAT_SRCDIR	:= $(PTXDIST_WORKSPACE)/local_src/$(UVCVIDEO_PLAT)
UVCVIDEO_PLAT_DIR	:= $(BUILDDIR)/$(UVCVIDEO_PLAT)
UVCVIDEO_PLAT_LICENSE	:= unknown

ifdef PTXCONF_UVCVIDEO_PLAT
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/uvcvideo_plat.targetinstall
endif

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.compile:
	@$(call targetinfo)
#	# The kernel cannot build an out-of-tree driver out-of-tree :-)
#	# So we make a local copy.
	rm -fr $(UVCVIDEO_PLAT_DIR)
	cp -a $(UVCVIDEO_PLAT_SRCDIR) $(UVCVIDEO_PLAT_DIR)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(UVCVIDEO_PLAT_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(UVCVIDEO_PLAT_DIR) \
		modules_install
ifdef PTXCONF_CANPREUP
	@$(call install_init, uvcvideo_plat)
	@$(call install_fixup,uvcvideo_plat,PRIORITY,optional)
	@$(call install_fixup,uvcvideo_plat,SECTION,base)
	@$(call install_fixup,uvcvideo_plat,AUTHOR,"")
	@$(call install_fixup,uvcvideo_plat,DESCRIPTION,missing)

	@$(call install_finish,uvcvideo_plat)
endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/uvcvideo_plat.clean:
	@$(call targetinfo)
	@$(call clean_pkg, UVCVIDEO_PLAT)

# vim: syntax=make
